<?php
/*
 * This is an example template file that you can copy and paste to your theme / child theme root folder and then rename and modify it.
 * If you want to organize your eap templates into a seaprate folder, remember to add the folder name to the shortcode generator.
 * So the template input value in the shortcode generator may be like 'eap-templates/example.php'
 *
 * Markup follows the structure <div class="eap_cell"> <div class="eap_title">Title</div> <div class="eap_content">Content...</div> </div>
 * You can skip the .eap-title and .eap-content divs if you do not need the accordion functionliaty.
*/
?>

<?php global $post; ?>
<div class="eap_cell eap_blog_info eap_blog_cell">
  <a href="'. the_permalink() .'" class="eap_blog_thumb">
    <?php the_post_thumbnail( 'large' ); ?>
  </a>
  <div class="eap_blog_info_text">

    <h2 class="eap_blog_title">
      <a class="eap_blog_title_link" href="<?php the_permalink(); ?>">
        <?php the_title(); ?>
      </a>
    </h2>

    <div class="eap_clear"></div>

    <span class="eap_blog_date eap_blog_meta">
      <i class="fa fa-calendar"></i>
      <?php echo get_the_date( 'F j, Y', $post->ID ); ?>
    </span>

    <span class="eap_blog_author eap_blog_meta">
      <i class="fa fa-user"></i>
      <?php the_author_posts_link(); ?>
    </span>

    <div class="eap_clear"></div>

    <span class="eap_blog_categories eap_blog_meta">
      <i class="fa fa-book"></i>
      <?php
        $cats_markup = '';
        $cats = get_the_category( $post->ID );
        foreach( $cats as $cat ){
          $cats_markup .= '<a title="'. __('Category: ', 'easy-accordion-posts') . $cat->name .'" href="'. get_category_link( $cat->term_id ) .'">'. $cat->name .'</a>, ';
        }
        $cats_markup = rtrim( $cats_markup, ', ' );
        echo $cats_markup;
      ?>
    </span>

  </div>
</div>
