<?php
/*
 * This is an example template file that you can copy and paste to your theme / child theme root folder and then rename and modify it.
 * If you want to organize your eap templates into a seaprate folder, remember to add the folder name to the shortcode generator.
 * So the template input value in the shortcode generator may be like 'eap-templates/example.php'
 *
 * Markup follows the structure <div class="eap_cell"> <div class="eap_title">Title</div> <div class="eap_content">Content...</div> </div>
 * You can skip the .eap-title and .eap-content divs if you do not need the accordion functionliaty.
*/
?>
<div class="eap_cell eap_product_stats eap_product_cell">
  <div class="eap_title">
    Some Vital Stats
  </div>
  <div class="eap_content">
    <table>
      <tbody>
        <?php
          global $post;
          $arr = array('Lorem Content'=>'eap-lorem', 'Ipsum Values'=>'eap-ipsum', 'Dolor Dosage'=>'eap-dolor');
          foreach( $arr as $label => $meta_key ){
            if( $meta_val = get_post_meta( $post->ID, $meta_key, true ) ) // test for availability of custom field before printing it
              echo "<tr><td><em>". $label .":</em></td><td>". $meta_val ."</td></tr>";
          }
        ?>
      </tbody>
    </table>

  </div>
</div>
